Built LMS Help Center
API Reference and PlaygroundOthercourse generations

GET Get a course generation run

Returns the run status, stage, progress, and event feed. When the run is paused for manuscript review, review_url links to the admin dashboard review screen. Pass next_cursor.since and next_cursor.since_id back as since and since_id to read only newer events.

GET
/course-generations/{id}

Returns the run status, stage, progress, and event feed. When the run is paused for manuscript review, review_url links to the admin dashboard review screen. Pass next_cursor.since and next_cursor.since_id back as since and since_id to read only newer events.

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

since?string
Formatdate-time
since_id?string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/course-generations/{id}"
{  "data": {    "data": null,    "meta": {      "organization_id": "{organization_id}",      "total": 0,      "total_count": 0,      "limit": 0,      "offset": 0,      "has_more": true,      "requested_at": "2019-08-24T14:15:22Z"    }  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}